package logger

import (
	"fmt"
	"io"
	"log"
	"os"
	"time"

	"gopkg.in/natefinch/lumberjack.v2"
)

func newRollingWriter() io.Writer {
	if err := os.MkdirAll("log", 0744); err != nil {
		log.Println("不能创建用于保存日志的目录。")
		return nil
	}

	now := time.Now()

	return &lumberjack.Logger{
		Filename:   fmt.Sprintf("log/%04d-%02d-%02d.log", now.Year(), now.Month(), now.Day()),
		MaxBackups: 0,   // files
		MaxSize:    200, // megabytes
		MaxAge:     0,   // days
	}
}
